<div class="modal-container"
     appDraggable
     [dragEventTarget]="dragEventTarget"
     [inViewport]="inViewport"
     [style.top.px]=config.position.top
     [style.left.px]=config.position.left>
  <i class="modal-close fas fa-times" (click)="close($event)"></i>
  <div (mousedown)="initDrag($event)"
       (touchstart)="initDrag($event)">
    <div class="modal-body">
      <ng-container #dynamicComponentPlaceholder></ng-container>
    </div>
  </div>
</div>
